## gnome-settings-daemon 3.34.2

=== debian/changelog ===
gnome-settings-daemon (3.34.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Depend on libgnome-desktop-3-dev (>= 3.34.2), to put
      media-key-launched programs in a systemd scope if running under
      systemd
  * Bump Standards-Version to 4.4.1
  * Swap libpam-systemd dependencies to default-logind | logind.
    Thanks to Mark Hindley (Closes: #925335)
    - While changing this line anyway, also swap from
      negative architecture qualifier [!hurd-any !kfreebsd-any]
      to positive architecture qualifier [linux-any]
  * Build-depend on libglib2.0-dev:native for gsd-power-enums-update,
    which is built and run on the build architecture when cross-compiling.
    Thanks to Helmut Grohne (Closes: #916551)
  * Build-depend on debhelper-compat (= 12) instead of using debian/compat

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2019 15:44:01 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-sequence-gnome,
               gsettings-desktop-schemas-dev (>= 3.34.0),
               gtk-doc-tools,
               intltool (>= 0.37.1),
               libasound2-dev [linux-any],
               libcanberra-gtk3-dev,
               libcolord-dev (>= 1.3.5),
               libcups2-dev,
               libfontconfig1-dev,
               libgcr-3-dev (>= 3.7.5),
               libgeoclue-2-dev (>= 2.3.1),
               libgeocode-glib-dev (>= 3.10.0),
               libglib2.0-dev (>= 2.56),
               libglib2.0-dev:native (>= 2.56),
               libgnome-desktop-3-dev (>= 3.24.2),
               libgtk-3-dev (>= 3.16),
               libgudev-1.0-dev [linux-any],
               libgweather-3-dev (>= 3.9.5),
               libibus-1.0-dev (>= 1.5.2),
               liblcms2-dev,
               libnm-dev (>= 1.0) [linux-any],
               libnotify-dev (>= 0.7.3),
               libnss3-dev,
               libmm-glib-dev (>= 1.0),
               libpackagekit-glib2-dev (>= 0.8.1),
               libpolkit-gobject-1-dev,
               libpulse-dev (>= 2.0),
               librsvg2-dev (>= 2.36.2),
               libupower-glib-dev (>= 0.99.8),
               libwacom-dev (>= 0.7) [!hurd-any !kfreebsd-any !s390 !s390x],
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxt-dev,
               meson (>= 0.44.0),
               mutter (>= 3.31.92) <!nocheck>,
               policykit-1,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               systemd,
               udev [linux-any] <!nocheck>,
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
               xvfb <!nocheck>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
Rules-Requires-Root: no

Package: gnome-settings-daemon
Architecture: any
Depends: gnome-settings-daemon-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.34.0),
         default-logind [linux-any] | logind [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iio-sensor-proxy,
            pulseaudio
Breaks: afterstep (<< 2.2.12-11.1~),
        budgie-core (<< 10.4+git20171031.10.g9f71bb8-1.2~),
        cairo-dock (<< 3.4.1-1.2~),
        gdm3 (<< 3.27),
        gnome-control-center (<< 1:3.25.91),
        gnome-initial-setup (<< 3.27),
        gnome-session (<< 3.27),
        gnome-session-flashback (<< 3.26.0-3~),
        gnome-shell (<< 3.31.92),
        gnome-shell-extensions (<< 3.27),
        openbox-gnome-session (<< 3.6.1-7~),
        xmonad (<< 0.13-7~)
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-common
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-settings-daemon (<< 3.30.1.2-2~),
          gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Breaks: gnome-settings-daemon (<< 3.30.1.2-2~),
        gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Provides: gnome-settings-daemon-schemas (= ${source:Version})
Description: daemon handling the GNOME session settings - common files
 This package contains GSettings schemas and other architecture-independent
 files for GNOME Settings Daemon. It is probably not interesting on its own for
 end users, but packages may depend on this if they only need to read and write
 settings & don't themselves care if the settings daemon is actually running or
 not.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev (>= 2.56),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

## gnome-settings-daemon 3.35.91

=== debian/changelog ===
gnome-settings-daemon (3.35.91-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 09:30:10 +0100

gnome-settings-daemon (3.35.91-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Install the daemons in /usr/libexec now that's it's allowed in the policy
  * Disable systemd support on non-linux architectures, this should only be
    used to detect the path for the user .service/.target files

  [ Sebastien Bacher ]
  * New upstream release:
    - Add capability to disable USB while the lockscreen is on
      (based on USBGuard)
  * debian/control.in:
    - Suggests usbguard for the new lockscreen protection, the feature
      didn't get much testing yet and usbguard could create problems so
      don't bring it in by default yet
    - udpate the gsettings-desktop-schemas and gnome-desktop requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 09:23:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-sequence-gnome,
-               gsettings-desktop-schemas-dev (>= 3.34.0),
+               gsettings-desktop-schemas-dev (>= 3.35.0),
                gtk-doc-tools,
                intltool (>= 0.37.1),
+               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
                libcolord-dev (>= 1.3.5),
@@ -23,7 +25,7 @@
                libgeocode-glib-dev (>= 3.10.0),
                libglib2.0-dev (>= 2.56),
                libglib2.0-dev:native (>= 2.56),
-               libgnome-desktop-3-dev (>= 3.24.2),
+               libgnome-desktop-3-dev (>= 3.34.2),
                libgtk-3-dev (>= 3.16),
                libgudev-1.0-dev [linux-any],
                libgweather-3-dev (>= 3.9.5),
@@ -48,15 +50,17 @@
                policykit-1,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
-               systemd,
+               systemd [linux-any],
                udev [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xkb-data,
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+Standards-Version: 4.5.0
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
@@ -68,6 +72,7 @@
          ${shlibs:Depends}
 Recommends: iio-sensor-proxy,
             pulseaudio
+Suggests: usbguard
 Breaks: afterstep (<< 2.2.12-11.1~),
         budgie-core (<< 10.4+git20171031.10.g9f71bb8-1.2~),
         cairo-dock (<< 3.4.1-1.2~),

## gnome-settings-daemon 3.36.0

=== meson_options.txt ===
option('nssdb_dir', type: 'string', value: '', description: 'Absolute path to the system NSS database directory')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory')
option('systemd', type: 'boolean', value: true, description: 'Enable systemd integration')

option('alsa', type: 'boolean', value: true, description: 'build with ALSA support (not optional on Linux platforms)')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support (not optional on Linux platforms)')
option('cups', type: 'boolean', value: true, description: 'build with CUPS support')
option('network_manager', type: 'boolean', value: true, description: 'build with NetworkManager support (not optional on Linux platforms)')
option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
option('wwan', type: 'boolean', value: true, description: 'build with WWAN support')

=== debian/changelog ===
gnome-settings-daemon (3.36.0-1ubuntu2) focal; urgency=medium

  * debian/patches/ubuntu_vino_handling.patch: restore support to handle
    the vino service, upstream considers it deprecated of favor of
    gnome-remote-desktop but we don't have that yet (lp: #1871787)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Apr 2020 15:03:27 +0200

gnome-settings-daemon (3.36.0-1ubuntu1) focal; urgency=medium

  * Update to the stable version by merging from Debian
  * debian/patches/git_sound_feedback.patch:
    - backport a fix to always give feedback to sound changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Apr 2020 18:37:29 +0200

gnome-settings-daemon (3.36.0-1) unstable; urgency=medium

  * debian/control.in: Bump gsettings-desktop-schemas to 3.35.91, this is
    needed for the usb-protection key in the org.gnome.desktop.privacy schema
  * New upstream release
  * debian/gnome-settings-daemon.install: Install new script shipped in
    etc/xdg/Xwayland-session.d and add a dependency against x11-xserver-utils

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Mar 2020 17:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-sequence-gnome,
-               gsettings-desktop-schemas-dev (>= 3.35.0),
+               gsettings-desktop-schemas-dev (>= 3.35.91),
                gtk-doc-tools,
                intltool (>= 0.37.1),
                libaccountsservice-dev (>= 0.6.34),
@@ -57,17 +57,18 @@
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
 Standards-Version: 4.5.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
 Architecture: any
 Depends: gnome-settings-daemon-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 3.34.0),
+         gsettings-desktop-schemas (>= 3.35.91),
          default-logind [linux-any] | logind [linux-any],
+         x11-xserver-utils,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: iio-sensor-proxy,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--warn-unresolved-symbols -Wl,--as-needed
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Drfkill=false \
	-Dnetwork_manager=false \
	-Dalsa=false \
	-Dsystemd=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		$(CONFFLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
# The tests are not fatal on non-linux architectures
# See: https://bugzilla.gnome.org/show_bug.cgi?id=770684#c2
ifeq (,$(filter $(DEB_HOST_ARCH), hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	xvfb-run --auto-servernum dh_auto_test
else
	xvfb-run --auto-servernum dh_auto_test || true
endif
endif

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

## gnome-settings-daemon 3.36.1

=== debian/changelog ===
gnome-settings-daemon (3.36.1-0ubuntu1.1) focal; urgency=medium

  * d/p/git-rfkill-set-the-g_io_channel-to-unbuffered-mode.patch:
    - Set the g_io_channel to unbuffered mode to fix airplane mode with
      newer kernel versions (lp: #1926062)
  * d/p/git-media-keys-Addd-one-second-delay-between-each-rfkill-.patch
    - Add one second dely between each rfkill event (lp: #1936303)

 -- Andy Chi <andy.chi@canonical.com>  Thu, 08 Jul 2021 17:35:19 +0800

gnome-settings-daemon (3.36.1-0ubuntu1) focal; urgency=medium

  * New upstream version (lp: #1876263)
  * debian/patches/git_sound_feedback.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 10:36:23 +0200

=== debian/control ===
--- 
+++ 
@@ -59,8 +59,8 @@
 Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/focal
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon

## gnome-settings-daemon 3.38.0

=== debian/changelog ===
gnome-settings-daemon (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 15:13:43 +0200

gnome-settings-daemon (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release
    - Translation updates
  * Revert "watch: Find unstable versions"
  * Continue to upload to experimental for now, so we can batch together
    this and other core GNOME packages as part of #969321 when mozjs78
    has passed through NEW

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 11:40:48 +0100

gnome-settings-daemon (3.37.92-1ubuntu1) groovy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 Sep 2020 17:37:48 +0100

gnome-settings-daemon (3.37.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates
    - USB protection: Relax the whitelist to all HIDs and hubs
    - Translation updates
    - WWAN: Translatable string improvements
    - Media keys: Use well-known name for screencast proxy
    - Xsettings: Fix race condition in fontconfig timestamp test
    - Power: Drop lid switch inhibitor when session is inactive

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 15:00:10 +0100

gnome-settings-daemon (3.37.0-1ubuntu2) groovy; urgency=medium

  * debian/control: Bump Breaks on gnome-{shell,session} & gdm3
    g-s-d has renamed its systemd units, and the older versions of these
    expected the old names.
    These packages have ≥ Depends relationships on 3.37 components - the
    Breaks here is mainly to stop this version of gnome-session from being
    able to migrate without the other packages.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 02 Sep 2020 18:03:47 +0100

gnome-settings-daemon (3.37.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 01:17:51 +0200

gnome-settings-daemon (3.37.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
    - Revamp of systemd service structure
    - Media-keys
      + Add static mapping for XF86RotationLockToggle
      + Use heuristic to switch MPRIS clients
    - Power
      + Ambient light moving average now time-aware
    - WWan
      + Handle multiple devices
      + Handle PUK unlocking
    - Wacom
      + Drop LED helper, handled by the kernel for long enough.
  * control: Bump BDs per meson.build

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 18:46:47 +0200

gnome-settings-daemon (3.36.1-1ubuntu2) groovy; urgency=medium

  * debian/patches/git_cupsbrowsed_notification.patch:
    - Ignore 'Printer-added' notifications for queues created by
      cups-browsed (lp: #1878241)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jul 2020 15:17:57 +0200

gnome-settings-daemon (3.36.1-1ubuntu1) groovy; urgency=medium

  * New upstream version (lp: #1876263)
  * debian/patches/git_sound_feedback.patch:
    - removed, included in the new version
  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:


=== debian/control ===
--- 
+++ 
@@ -45,12 +45,12 @@
                libxext-dev,
                libxi-dev,
                libxt-dev,
-               meson (>= 0.44.0),
+               meson (>= 0.47.0),
                mutter (>= 3.31.92) <!nocheck>,
                policykit-1,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
-               systemd [linux-any],
+               systemd (>= 243) [linux-any],
                udev [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xkb-data,
@@ -59,8 +59,8 @@
 Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/focal
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
@@ -72,17 +72,18 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: iio-sensor-proxy,
-            pulseaudio
+            pulseaudio,
+            x11-xserver-utils
 Suggests: usbguard
 Breaks: afterstep (<< 2.2.12-11.1~),
         budgie-core (<< 10.4+git20171031.10.g9f71bb8-1.2~),
         cairo-dock (<< 3.4.1-1.2~),
-        gdm3 (<< 3.27),
+        gdm3 (<< 3.37.0),
         gnome-control-center (<< 1:3.25.91),
         gnome-initial-setup (<< 3.27),
-        gnome-session (<< 3.27),
+        gnome-session (<< 3.37.0),
         gnome-session-flashback (<< 3.26.0-3~),
-        gnome-shell (<< 3.31.92),
+        gnome-shell (<< 3.37.90),
         gnome-shell-extensions (<< 3.27),
         openbox-gnome-session (<< 3.6.1-7~),
         xmonad (<< 0.13-7~)

## gnome-settings-daemon 3.38.1

=== debian/changelog ===
gnome-settings-daemon (3.38.1-3ubuntu3.1) hirsute; urgency=medium

  * d/p/git-rfkill-set-the-g_io_channel-to-unbuffered-mode.patch: 
    - Set the g_io_channel to unbuffered mode to fix airplane mode with
      newer kernel versions (lp: #1926062)
  * d/p/git-media-keys-Addd-one-second-delay-between-each-rfkill-.patch
    - Add one second dely between each rfkill event (lp: #1936303)

 -- Andy Chi <andy.chi@canonical.com>  Thu, 15 Jul 2021 09:57:58 +0200

gnome-settings-daemon (3.38.1-3ubuntu3) hirsute; urgency=medium

  * debian/patches: Support smartcard reders via p11kit API (LP: #1865226)
  * debian/control: Build depend on libgck-1-dev and remove nss dependency
    (LP: #1865226)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 04:53:56 +0100

gnome-settings-daemon (3.38.1-3ubuntu2) hirsute; urgency=medium

  * debian/patches/ubuntu_vino_handling.patch:
    - remove the patch bringing back the vino desktop sharing since
      gnome-remote-desktop support is enabled in Ubuntu now

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Feb 2021 15:26:10 +0100

gnome-settings-daemon (3.38.1-3ubuntu1) hirsute; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2021 17:39:51 +0100

gnome-settings-daemon (3.38.1-3) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * Disable colord support on non-linux architectures

  [ Simon McVittie ]
  * Update to upstream git commit
    GNOME_SETTINGS_DAEMON_3_38_1-15-g6018dd49 from the gnome-3-38 branch
    - Avoid warning about wireless input devices' low battery levels every
      time they reconnect, which can be frequent
    - Reduce memory use of gsd-datetime plugin
    - Unit test fixes
    - Translation updates
  * Standards-Version: 4.5.1 (no changes required)
  * Use upstream/3.38.x git branch.
    Upstream has branched for GNOME 40.
  * Mark g-s-d-dev as Multi-Arch: same.
    Move the pkg-config metadata to /usr/share/pkgconfig to allow for
    cross-compilation. There is actually nothing architecture-specific in
    g-s-d-dev itself, but it depends on libglib2.0-dev, so leave it as
    Architecture: any to get the right transitive dependency.

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jan 2021 09:56:54 +0000

gnome-settings-daemon (3.38.1-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update from upstream git commit
    GNOME_SETTINGS_DAEMON_3_38_1-6-gaffebf89
    - Fix a crash if a filesystem does not provide atime
    - If system-wide power management idle action is set to log out,
      ignore it in the gdm greeter (for which logging out makes no sense)
    - Silence unnecessary warnings if usbguard is not installed
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Nov 2020 10:14:55 +0000

gnome-settings-daemon (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Update gnome-volume-control with support for PulseAudio 14
      (currently only in experimental, a binNMU will be required when
      it arrives in unstable)
    - Avoid unnecessary warnings from media-keys plugin
    - Translation updates
  * d/p/01_debianize_xrdb.patch: Add DEP-3 metadata

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2020 10:26:54 +0000

gnome-settings-daemon (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:24:13 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,10 @@
                libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
-               libcolord-dev (>= 1.3.5),
+               libcolord-dev (>= 1.3.5) [linux-any],
                libcups2-dev,
                libfontconfig1-dev,
+               libgck-1-dev (>= 3.36.0),
                libgcr-3-dev (>= 3.7.5),
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev (>= 3.10.0),
@@ -33,7 +34,6 @@
                liblcms2-dev,
                libnm-dev (>= 1.0) [linux-any],
                libnotify-dev (>= 0.7.3),
-               libnss3-dev,
                libmm-glib-dev (>= 1.0),
                libpackagekit-glib2-dev (>= 0.8.1),
                libpolkit-gobject-1-dev,
@@ -56,7 +56,7 @@
                xkb-data,
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
@@ -120,6 +120,7 @@
 Package: gnome-settings-daemon-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libglib2.0-dev (>= 2.56),
          ${misc:Depends},
          ${shlibs:Depends}

## gnome-settings-daemon 3.38.2

=== debian/changelog ===
gnome-settings-daemon (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Set unbuffered mode to read /dev/rfkill, fixing rfkill monitoring
      on some kernel versions
    - Translation update: sr
    - Various other changes were already in 3.38.1-3
  * Drop patches that came from upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 05 May 2021 21:38:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
@@ -14,13 +13,11 @@
                gsettings-desktop-schemas-dev (>= 3.35.91),
                gtk-doc-tools,
                intltool (>= 0.37.1),
-               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
                libcolord-dev (>= 1.3.5) [linux-any],
                libcups2-dev,
                libfontconfig1-dev,
-               libgck-1-dev (>= 3.36.0),
                libgcr-3-dev (>= 3.7.5),
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev (>= 3.10.0),
@@ -34,6 +31,7 @@
                liblcms2-dev,
                libnm-dev (>= 1.0) [linux-any],
                libnotify-dev (>= 0.7.3),
+               libnss3-dev,
                libmm-glib-dev (>= 1.0),
                libpackagekit-glib2-dev (>= 0.8.1),
                libpolkit-gobject-1-dev,
@@ -57,10 +55,8 @@
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
 Standards-Version: 4.5.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
@@ -68,7 +64,6 @@
 Depends: gnome-settings-daemon-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.35.91),
          default-logind [linux-any] | logind [linux-any],
-         x11-xserver-utils,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: iio-sensor-proxy,

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	-Drfkill=false \
 	-Dnetwork_manager=false \
 	-Dalsa=false \
+	-Dcolord=false \
 	-Dsystemd=false
 endif

## gnome-settings-daemon 40.0.1

=== debian/changelog ===
gnome-settings-daemon (40.0.1-1ubuntu3) impish; urgency=medium

  * d/p/ubuntu/keyboard-Use-ibus-sources-from-locale.patch: add si_LK to the
    list of locales for which we prefer m17n.  LP: #1943768.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Sep 2021 15:58:15 -0700

gnome-settings-daemon (40.0.1-1ubuntu2) impish; urgency=medium

  * d/p/git-media-keys-Addd-one-second-delay-between-each-rfkill-.patch
    - Add one second dely between each rfkill event (lp: #1936303)

 -- Andy Chi <andy.chi@canonical.com>  Fri, 16 Jul 2021 12:09:36 +0200

gnome-settings-daemon (40.0.1-1ubuntu1) impish; urgency=medium

  * Merged with debian, including new upstream release
  * debian/control: Follow debian and mark x11-xserver-utils as recommended
  * d/p/revert-gsettings-removals.patch:
    - Drop, u-s-d moved to their own namespace
  * d/p/revert-mediakeys-dbus-interface-drop.patch:
    - Drop, no need to stay compatible
  * debian/patches:
    - Move smartcard p11-kit support under such namespace
    - Reorganize moving them in the ubuntu topic
      And use gbp to generate nicer names instead
  * debian/source_gnome-settings-daemon.py:
    Compute libdir version number dynamically.
    The g-s-d library version will now change at each major version update,
    so compute it from the package version instead of hardcoding it.
  * Remaining changes with debian:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 22:02:46 +0200

gnome-settings-daemon (40.0.1-1) experimental; urgency=medium

  * New upstream release:
    - Remove screenshot sound feedback, performed by gnome-shell
    - Make use of new gweather API
    - Use font aa/hinting/rgba-order from gsettings-desktop-schemas
    - Use mouse drag-threshold/double-click from gsettings-desktop-schemas
  * debian/control: Update build-dependencies to follow upstream
  * debian: Use debhelper 13 and simplify debian/rules accordingly
  * debian: Use dh 13 variable substitutions to install versioned libs.
    Upstream g-s-d will use major version name now to define various paths,
    so follow this by using some dh-13 magic.
  * debian/control: Add Breaks on old gtk and mutter.
    Since the font-settings related schemas are now moved to
    gsettings-desktop-schemas, this version will break with various
    libraries and applications relying on them.
    So, add breaks on old versions of gtk3, gtk4 and mutter libraries
    (using unreleased versions, as it's not expected that any new version of
    them will be adapted to this change).
    Do not break on gnome-tweaks, as it will still work even though without
    showing the font settings, but this is not an huge requirement.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 20:17:23 +0200

gnome-settings-daemon (3.38.2-1ubuntu1) impish; urgency=medium

  * New upstream version merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 15:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,38 +5,39 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gnome,
-               gsettings-desktop-schemas-dev (>= 3.35.91),
+               gsettings-desktop-schemas-dev (>= 40),
                gtk-doc-tools,
                intltool (>= 0.37.1),
+               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
-               libcolord-dev (>= 1.3.5) [linux-any],
+               libcolord-dev (>= 1.4.5) [linux-any],
                libcups2-dev,
                libfontconfig1-dev,
-               libgcr-3-dev (>= 3.7.5),
+               libgck-1-dev (>= 3.36.0),
+               libgcr-3-dev (>= 3.7.5) [linux-any],
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev (>= 3.10.0),
                libglib2.0-dev (>= 2.56),
                libglib2.0-dev:native (>= 2.56),
-               libgnome-desktop-3-dev (>= 3.34.2),
+               libgnome-desktop-3-dev (>= 3.37.1),
                libgtk-3-dev (>= 3.16),
                libgudev-1.0-dev [linux-any],
-               libgweather-3-dev (>= 3.9.5),
+               libgweather-3-dev (>= 40~alpha),
                libibus-1.0-dev (>= 1.5.2),
                liblcms2-dev,
                libnm-dev (>= 1.0) [linux-any],
                libnotify-dev (>= 0.7.3),
-               libnss3-dev,
-               libmm-glib-dev (>= 1.0),
+               libmm-glib-dev (>= 1.0) [linux-any],
                libpackagekit-glib2-dev (>= 0.8.1),
                libpolkit-gobject-1-dev,
-               libpulse-dev (>= 2.0),
-               librsvg2-dev (>= 2.36.2),
+               libpulse-dev (>= 12.99.3),
                libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [!hurd-any !kfreebsd-any !s390 !s390x],
                libx11-dev,
@@ -55,14 +56,16 @@
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
 Architecture: any
 Depends: gnome-settings-daemon-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 3.35.91),
+         gsettings-desktop-schemas (>= 40),
          default-logind [linux-any] | logind [linux-any],
          ${misc:Depends},
          ${shlibs:Depends}
@@ -73,6 +76,7 @@
 Breaks: afterstep (<< 2.2.12-11.1~),
         budgie-core (<< 10.4+git20171031.10.g9f71bb8-1.2~),
         cairo-dock (<< 3.4.1-1.2~),
+        evolution (<< 3.37.3~),
         gdm3 (<< 3.37.0),
         gnome-control-center (<< 1:3.25.91),
         gnome-initial-setup (<< 3.27),
@@ -80,6 +84,10 @@
         gnome-session-flashback (<< 3.26.0-3~),
         gnome-shell (<< 3.37.90),
         gnome-shell-extensions (<< 3.27),
+        libgtk-3-0 (<< 3.24.23~),
+        libgtk-4-0 (<< 3.99.1~),
+        libmutter-6-0 (<< 3.37),
+        libmutter-7-0 (<< 3.39),
         openbox-gnome-session (<< 3.6.1-7~),
         xmonad (<< 0.13-7~)
 Description: daemon handling the GNOME session settings

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--warn-unresolved-symbols -Wl,--as-needed
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+
+export GSD_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1)
 
 %:
 	dh $@
@@ -13,16 +17,16 @@
 	-Dnetwork_manager=false \
 	-Dalsa=false \
 	-Dcolord=false \
-	-Dsystemd=false
+	-Dgudev=false \
+	-Dsystemd=false \
+	-Dwayland=false \
+	-Dwwan=false
 endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
 		$(CONFFLAGS)
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
